Sign in
curl --request POST \
--url https://api.proxyjam.com/public/v1/users/sign-in \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.proxyjam.com/public/v1/users/sign-in"
payload = {
"email": "<string>",
"password": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', password: '<string>'})
};
fetch('https://api.proxyjam.com/public/v1/users/sign-in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Sign in
Authenticate with email and password.
POST
/
users
/
sign-in
Sign in
Authenticates the user and returns a new pair of JWT tokens.
Request body
string
required
Registered email address.
string
required
Account password.
Response
Same shape as Sign up.Example
curl -X POST https://api.proxyjam.com/public/v1/users/sign-in \
-H "Content-Type: application/json" \
-d '{
"email": "you@example.com",
"password": "<your-password>"
}'
{
"access_token": "<YOUR_ACCESS_TOKEN>",
"refresh_token": "<YOUR_REFRESH_TOKEN>",
"token_type": "bearer",
"expires_in": 86400,
"user": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"email": "you@example.com",
"is_active": true,
"is_verified": true,
"created_at": "2024-01-15T10:00:00Z"
}
}